<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HACCP Data Collection Form</title>
    <link rel="stylesheet" href="styles.css">
</head>
<body>
    <div class="form-container">
        <!-- Step 1: General Business Information -->
        <div id="step1" class="form-step active">
            <h2>General Business Information</h2>
            <input type="text" id="businessName" placeholder="Business Name">
            <select id="businessType">
                <option value="">Select Business Type</option>
                <option value="restaurant">Restaurant</option>
                <option value="factory">Factory</option>
                <option value="catering">Catering</option>
            </select>
            <input type="number" id="locationsCount" placeholder="Number of Locations">
            <button onclick="nextStep(2)">Next</button>
        </div>

        <!-- Step 2: User Roles and Permissions -->
        <div id="step2" class="form-step">
            <h2>User Roles and Permissions</h2>
            <input type="text" id="roleName" placeholder="Role Name">
            <div>
                <label><input type="checkbox" value="edit"> Edit Data</label>
                <label><input type="checkbox" value="view"> View Data</label>
            </div>
            <button onclick="nextStep(1)">Previous</button>
            <button onclick="nextStep(3)">Next</button>
        </div>

        <!-- Step 3: HACCP-Specific Information -->
        <div id="step3" class="form-step">
            <h2>HACCP-Specific Information</h2>
            <textarea id="processDescription" placeholder="Describe your process flow..."></textarea>
            <input type="text" id="ccpName" placeholder="Critical Control Point Name">
            <button onclick="nextStep(2)">Previous</button>
            <button onclick="nextStep(4)">Next</button>
        </div>

        <!-- Step 4: Data Collection Needs -->
        <div id="step4" class="form-step">
            <h2>Data Collection Needs</h2>
            <input type="text" id="dataPoint" placeholder="Data Point (e.g., Temperature)">
            <select id="dataType">
                <option value="">Select Data Type</option>
                <option value="integer">Integer</option>
                <option value="datetime">DateTime</option>
                <option value="text">Text</option>
            </select>
            <button onclick="nextStep(3)">Previous</button>
            <button onclick="nextStep(5)">Next</button>
        </div>

        <!-- Step 5: Database Schema Design -->
        <div id="step5" class="form-step">
            <h2>Database Schema Design</h2>
            <input type="text" id="tableName" placeholder="Table Name">
            <input type="text" id="fieldName" placeholder="Field Name">
            <button onclick="nextStep(4)">Previous</button>
            <button onclick="nextStep(6)">Next</button>
        </div>

        <!-- Step 6: Feedback and Additional Features -->
        <div id="step6" class="form-step">
            <h2>Feedback and Additional Features</h2>
            <textarea id="desiredFeatures" placeholder="Describe desired features..."></textarea>
            <textarea id="feedback" placeholder="Any other feedback..."></textarea>
            <button onclick="nextStep(5)">Previous</button>
            <button onclick="submitForm()">Submit</button>
        </div>
    </div>
    <script src="script.js"></script>
</body>
</html>
